2010-08-11	<rlk@sourceforge.net>

	Files:	NEWS (1.434) (+7 -0)
		src/xml/escp2/inputslots/Makefile.am (1.10) (+2 -1)
		src/xml/escp2/inputslots/pro3880.xml (1.1) (added)
		src/xml/escp2/media/Makefile.am (1.15) (+2 -1)
		src/xml/escp2/media/pro3880_ultrachrome_k3v.xml (1.1) (added)
		src/xml/escp2/model/Makefile.am (1.21) (+3 -2)
		src/xml/escp2/model/model_107.xml (1.1) (added)
		src/xml/printers.xml (1.58) (+3 -1)

	Preliminary support for Epson 3800 and 3880

2010-08-10	<rlk@sourceforge.net>

	Files:	NEWS (1.433) (+6 -3)
		src/xml/printers.xml (1.57) (+2 -1)

	Add support for Canon PIXMA MP510

2010-08-09	<rlk@sourceforge.net>

	Files:	NEWS (1.432) (+3 -3)
		README (1.208) (+13 -13)
		configure.ac (1.220) (+3 -3)

	Prep for 5.2.6 release

2010-08-09	<rlk@sourceforge.net>

	Files:	NEWS (1.431) (+20 -12)

	Minor updates.

2010-08-07	<rlk@sourceforge.net>

	Files:	src/main/print-pcl.c (1.159) (+3 -1)
		src/xml/printers.xml (1.56) (+2 -2)

	Add A3 support back to tabloid laser printers.

	Add Super B support to 13" laser printers.

	Correct definition of one printer.

2010-08-07	<rlk@sourceforge.net>

	Files:	NEWS (1.430) (+142 -22)
		src/main/print-pcl.c (1.158) (+49 -1)
		src/xml/printers.xml (1.55) (+126 -17)

	Add support for a number of Brother, Canon, Kyocera, Oki, Tektronix,
	and Xerox laser printers.

	Support tabloid-size laser printers.

2010-08-07	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.54) (+2 -2)

	Remove duplicate foomaticid tag on one printer.

2010-08-07	<rlk@sourceforge.net>

	Files:	include/gutenprint/printers.h (1.7) (+17 -2)
		src/foomatic/Makefile.am (1.53) (+4 -6)
		src/foomatic/foomatic-generator.in (1.67) (+8 -62)
		src/foomatic/foomatic-printermap (1.201) (removed)
		src/foomatic/printers.c (1.14) (+30 -9)
		src/main/printers.c (1.89) (+36 -2)
		src/xml/printers.xml (1.53) (+1432 -1432)

	Put Foomatic IDs in printers.xml and remove foomatic-printermap

2010-08-06	<rlk@sourceforge.net>

	Files:	NEWS (1.429) (+3 -0)
		src/foomatic/foomatic-printermap (1.200) (+3 -0)
		src/xml/printers.xml (1.52) (+4 -1)

	Support Canon MP360/370/390, from Gernot Hassenpflug

2010-08-04	<rlk@sourceforge.net>

	Files:	include/gutenprint/util.h (1.9) (+3 -2)
		src/main/array.c (1.17) (+13 -22)
		src/main/color.c (1.11) (+9 -19)
		src/main/curve.c (1.55) (+41 -49)
		src/main/dither-inks.c (1.27) (+4 -5)
		src/main/dither-main.c (1.62) (+7 -15)
		src/main/dither-ordered.c (1.31) (+1 -2)
		src/main/escp2-channels.c (1.90) (+8 -26)
		src/main/escp2-papers.c (1.119) (+6 -24)
		src/main/escp2-resolutions.c (1.52) (+4 -16)
		src/main/gutenprint-internal.h (1.3) (+17 -8)
		src/main/print-color.c (1.141) (+2 -6)
		src/main/print-dither-matrices.c (1.38) (+2 -3)
		src/main/print-escp2-data.c (1.273) (+10 -42)
		src/main/print-escp2.c (1.431) (+4 -15)
		src/main/print-lexmark.c (1.159) (+2 -6)
		src/main/print-list.c (1.25) (+2 -3)
		src/main/print-vars.c (1.90) (+23 -66)
		src/main/print-weave.c (1.76) (+7 -26)
		src/main/printers.c (1.88) (+1 -15)
		src/main/sequence.c (1.28) (+49 -74)
		src/main/xml.c (1.43) (+1 -2)

	Lift the assert macro out of print-weave.c into
	gutenprint-internal.h, and renamed it STPI_ASSERT to not collide with
	<assert.h>.  I've also made a few changes:

	1) It always uses stpi_erprintf rather than relying on the error
	function in the optional stp_vars_t passed in.  My intention is to
	print out the stp_vars_t (very carefully) as a context if one is
	provided.

	2) The macro reports the version of Gutenprint and appends a message
	"Please report this bug".  It also prepends "ERROR:" so that CUPS will
	pick it up in its error log.

	3) Add debug flag to report tested assertions.

2010-08-03	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.37) (+36 -13)

	Add -X argument to rerun test cases specified on stdin (these should
	be taken from filenames generated by -O or MD5 sums from -m or -M).

2010-07-21	<rlk@sourceforge.net>

	Files:	NEWS (1.428) (+14 -6)
		src/foomatic/foomatic-printermap (1.199) (+7 -0)
		src/xml/printers.xml (1.51) (+9 -1)

	Add support for some Epson RX650-class printers

2010-07-19	<rlk@sourceforge.net>

	Files:	src/ghost/ijsgutenprint.c (1.23) (+8 -5)

	Use STP_SUPPRESS_MESSAGES to suppress debugging output.

2010-07-19	<rlk@sourceforge.net>

	Files:	NEWS (1.427) (+15 -0)

	Update release notes.

2010-07-18	<rlk@sourceforge.net>

	Files:	src/main/Makefile.am (1.104) (+2 -3)

	Complete removal of util.h.

2010-07-18	<rlk@sourceforge.net>

	Files:	NEWS (1.426) (+3 -3)
		README (1.207) (+13 -13)
		configure.ac (1.219) (+3 -3)

	Prep for 5.2.6-pre1

2010-07-18	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/pro_ultrachrome_k3.xml (1.9) (+8 -8)
		src/xml/escp2/inks/pro_ultrachrome_k3v.xml (1.2) (+8 -8)

	Rename channels to correspond with standard usage

2010-07-18	<rlk@sourceforge.net>

	Files:	NEWS (1.425) (+10 -0)
		src/foomatic/foomatic-printermap (1.198) (+3 -0)
		src/xml/escp2/inks/Makefile.am (1.10) (+2 -1)
		src/xml/escp2/inks/pro_ultrachrome_k3v.xml (1.1) (added)
		src/xml/escp2/inputslots/Makefile.am (1.9) (+2 -1)
		src/xml/escp2/inputslots/pro_cutter_roll_feed.xml (1.1) (added)
		src/xml/escp2/media/Makefile.am (1.14) (+2 -1)
		src/xml/escp2/media/pro_ultrachrome_k3.xml (1.3) (+3 -0)
		src/xml/escp2/media/pro_ultrachrome_k3v.xml (1.1) (added)
		src/xml/escp2/model/Makefile.am (1.20) (+7 -2)
		src/xml/escp2/model/model_102.xml (1.1) (added)
		src/xml/escp2/model/model_103.xml (1.1) (added)
		src/xml/escp2/model/model_104.xml (1.1) (added)
		src/xml/escp2/model/model_105.xml (1.1) (added)
		src/xml/escp2/model/model_106.xml (1.1) (added)
		src/xml/escp2/model/model_88.xml (1.7) (+9 -10)
		src/xml/escp2/model/model_89.xml (1.6) (+12 -13)
		src/xml/escp2/model/model_90.xml (1.6) (+12 -13)
		src/xml/printers.xml (1.50) (+6 -3)

	Add support for the Epson 4800, 4880 (from Lutz Sammer and David Stone),
	and 11800.

	Correct definitions of Epson 7800 and 9800 to use Ultrachrome K3 rather
	than Ultrachrome inks.

	Adjust definitions of Epson 7880, 9880, and 11880 to be consistent with
	4880.

2010-07-18	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.430) (+6 -3)

	Enable use of grayscale mode in Stylus Pro printers and others when
	using printer weave.

2010-07-18	<rlk@sourceforge.net>

	Files:	README (1.206) (+2 -2)

	Bump configuration block output

2010-07-17	<rlk@sourceforge.net>

	Files:	NEWS (1.424) (+11 -1)
		README (1.205) (+10 -10)

	Bump version

2010-07-17	<rlk@sourceforge.net>

	Files:	configure.ac (1.218) (+4 -4)

	Bump version.

2010-07-10	<rlk@sourceforge.net>

	Files:	src/gutenprintui2/panel.c (1.19) (+7 -2)

	Allow image size to be less than 5% if the input image size is small enough.

2010-07-05	<rlk@sourceforge.net>

	Files:	include/gutenprint/Makefile.am (1.4) (+1 -2)

	Remove duplicate sequence.h.

2010-07-03	<rlk@sourceforge.net>

	Files:	po/POTFILES.in (1.25) (+0 -1)

	Complete removal of src/main/util.h.

2010-06-26	<rlk@sourceforge.net>

	Files:	src/main/gutenprint-internal.h (1.2) (+23 -3)
		src/main/util.h (1.35) (removed)

	Merge internal util.h into gutenprint-internal.h to avoid two util.h files

2010-06-26	<rlk@sourceforge.net>

	Files:	include/gutenprint/util.h (1.8) (+4 -2)
		src/main/escp2-driver.c (1.56) (+12 -21)
		src/main/print-olympus.c (1.96) (+4 -7)
		src/main/print-util.c (1.117) (+7 -1)
		src/main/printers.c (1.87) (+2 -2)

	Fix stp_get_printer_by_device_id (compiler warnings should have caught this)

	Add stp_write_raw() to avoid clumsy stp_zfwrite().

	Fix drying time functions in Epson driver.

2010-06-25	<rlk@sourceforge.net>

	Files:	src/main/escp2-driver.c (1.55) (+4 -4)

	Fix ScanDryTime, ScanMinDryTime, and PageDryTime.

2010-06-20	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.272) (+12 -10)
		src/main/print-escp2.c (1.429) (+16 -7)
		src/main/print-escp2.h (1.138) (+23 -22)
		src/xml/escp2/model/model_47.xml (1.10) (+1 -1)

	Change HorizontalOnly borderless mode to VerticalRestricted, and add
	a true HorizontalOnly borderless mode for printers that really do
	support only borderless.

2010-06-19	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.197) (+1 -0)
		src/main/canon-inks.h (1.24) (+10 -0)
		src/main/canon-modes.h (1.32) (+5 -0)
		src/main/canon-printers.h (1.50) (+14 -0)
		src/xml/printers.xml (1.49) (+2 -1)

	Canon PIXMA MP970 support patch by Sergei Epiphanov <serpiph qt nikiet.ru>

2010-06-14	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.428) (+2 -1)

	Fix typo

2010-06-14	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/Makefile.am (1.19) (+2 -1)
		src/xml/escp2/model/model_101.xml (1.1) (added)
		src/xml/printers.xml (1.48) (+5 -5)

	Fix Epson S20, S21, T20, T21

2010-06-14	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.427) (+17 -2)

	Add AllowOtherMedia to permit media sizes other than CDs when printing
	to CD tray, for third party trays.

2010-04-27	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.47) (+2 -2)

	Canon ImageRunner 330s is large format.

2010-04-19	<rlk@sourceforge.net>

	Files:	configure.ac (1.217) (+3 -3)
		po/fi.po (1.1) (added)

	Add Finnish translation

2010-02-14	<rlk@sourceforge.net>

	Files:	po/hu.po (1.30) (+5494 -6467)

	Update Hungarian translation

===============================================================================
Name: gutenprint-5_2_5

2010-02-12	<rlk@sourceforge.net>

	Files:	po/cs.po (1.57) (+5006 -4636)
		po/da.po (1.99) (+4988 -4616)
		po/de.po (1.72) (+5397 -4899)
		po/el.po (1.72) (+5007 -4636)
		po/en_GB.po (1.165) (+4989 -4618)
		po/es.po (1.70) (+5006 -4636)
		po/fr.po (1.98) (+4989 -4618)
		po/hu.po (1.29) (+4989 -4618)
		po/it.po (1.9) (+4988 -4616)
		po/ja.po (1.66) (+5006 -4636)
		po/nb.po (1.31) (+5008 -4637)
		po/nl.po (1.82) (+4988 -4616)
		po/pl.po (1.76) (+5009 -4640)
		po/pt.po (1.71) (+5006 -4636)
		po/ru.po (1.4) (+4995 -4624)
		po/sk.po (1.75) (+5006 -4636)
		po/sv.po (1.101) (+4990 -4619)
		po/zh_TW.po (1.31) (+4989 -4618)

	Gutenprint 5.2.5 release

2010-02-12	<rlk@sourceforge.net>

	Files:	NEWS (1.423) (+5 -1)
		src/main/print-pcl.c (1.157) (+44 -1)
		src/xml/printers.xml (1.46) (+3 -3)

	Fix A4 margins for LJ 2100/2100M; support other printers w/o expanded margins

2010-02-09	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_100.xml (1.2) (+1 -1)

	Fix CD positioning.

2010-01-17	<rlk@sourceforge.net>

	Files:	NEWS (1.422) (+5 -2)
		src/xml/printers.xml (1.45) (+246 -246)

	Change a large number of laser printers to be large format

2010-01-17	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.36) (+29 -1)

	Add doc for -d (default value) option.

	Exit if malformed -d option.

	Make -d PrintingMode work.

2010-01-16	<rlk@sourceforge.net>

	Files:	src/testpattern/extended.sample (1.8) (+1 -1)

	Make extended sample use 16-bit output

2010-01-16	<rlk@sourceforge.net>

	Files:	test/unprint.c (1.45) (+17 -16)

	Print better debug information.

	Suppress all output if not desired.

2010-01-16	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inputslots/Makefile.am (1.8) (+2 -1)
		src/xml/escp2/inputslots/cd.xml (1.1) (added)
		src/xml/escp2/model/Makefile.am (1.18) (+3 -2)
		src/xml/escp2/model/model_100.xml (1.1) (added)
		src/xml/escp2/model/model_99.xml (1.2) (+0 -20)
		src/xml/printers.xml (1.44) (+2 -2)

	Add CD support for PX 1001, remove 360x720 and 720x1440 for WF1100

2010-01-04	<m0m@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.196) (+1 -0)
		src/main/print-olympus.c (1.95) (+2 -2)
		src/xml/printers.xml (1.43) (+2 -1)

	added Canon SELPHY CP530

2010-01-02	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/claria1400.xml (1.8) (+1056 -0)

	Add support for quadtone and hextone inksets for back light film.

2010-01-02	<rlk@sourceforge.net>

	Files:	NEWS (1.421) (+3 -1)

	Add support for EA5 envelope paper size.

2010-01-01	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.58) (+2 -2)

	Minor formatting cleanup.

2010-01-01	<rlk@sourceforge.net>

	Files:	NEWS (1.420) (+2 -1)
		src/xml/escp2/model/model_63.xml (1.10) (+2 -2)
		src/xml/escp2/model/model_84.xml (1.10) (+2 -2)

	Fix escputil output for R-series

2009-12-28	<rlk@sourceforge.net>

	Files:	NEWS (1.419) (+320 -238)

	Add Printer-Specific Issues section, and move exceptions and
	workarounds to before the overall changes from 5.0 to 5.2.

2009-12-28	<rlk@sourceforge.net>

	Files:	NEWS (1.418) (+2 -2)

	Minor update

2009-12-28	<rlk@sourceforge.net>

	Files:	NEWS (1.417) (+1 -1)

	Fix typo

2009-12-23	<rlk@sourceforge.net>

	Files:	NEWS (1.416) (+25 -3)

	Update with all changes since 5.2.4.

2009-12-23	<rlk@sourceforge.net>

	Files:	configure.ac (1.216) (+3 -3)

	Correctly bump version.

2009-12-23	<rlk@sourceforge.net>

	Files:	NEWS (1.415) (+3 -0)

	Fix escputil status output for Epson Artisan printers.

2009-12-23	<rlk@sourceforge.net>

	Files:	NEWS (1.414) (+60 -2)
		README (1.204) (+12 -12)
		configure.ac (1.215) (+3 -3)
		src/escputil/escputil.c (1.102) (+6 -3)
		src/foomatic/foomatic-printermap (1.195) (+50 -2)
		src/xml/escp2/model/Makefile.am (1.17) (+3 -2)
		src/xml/escp2/model/model_96.xml (1.6) (+3 -3)
		src/xml/escp2/model/model_99.xml (1.1) (added)
		src/xml/printers.xml (1.42) (+53 -5)

	Add a bunch more Epson printers.

	Fix the escputil output for Artisan printers.

2009-11-26	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.101) (+3 -1)

	Fix -C and -p options.

2009-11-15	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/claria.xml (1.7) (+118 -0)
		src/xml/escp2/media/claria.xml (1.10) (+1056 -0)

	Add quadtone and hextone inks to Claria group

2009-11-15	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.194) (+1 -0)

	Add Epson TX410.

2009-11-15	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.426) (+4 -4)

	Quality Enhancement wasn't actually doing anything due to a typo.

2009-11-08	<rlk@sourceforge.net>

	Files:	po/de.po (1.71) (+3363 -3753)

	Update German translation

2009-11-06	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.41) (+9 -9)

	Change all of the MP 5000 printers to be large format.

2009-11-06	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.40) (+5 -4)

	Add Epson TX410.

	Change Xerox WorkCentre 118 and Ricoh MP 5000/MP 5000B to large format
	(there are surely others that also need to change).

2009-10-12	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.193) (+1 -0)
		src/xml/printers.xml (1.39) (+3 -1)

	Add Epsox TX210.

2009-10-05	<rlk@sourceforge.net>

	Files:	include/gutenprint/printers.h (1.6) (+17 -2)
		src/cups/genppd.c (1.179) (+14 -6)
		src/main/printers.c (1.86) (+35 -1)
		src/xml/printers.xml (1.38) (+388 -388)

	Add device ID strings

2009-10-04	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.425) (+6 -3)

	Don't use QualityEnhancement if it isn't set.

2009-09-03	<rlk@sourceforge.net>

	Files:	src/main/print-ps.c (1.102) (+116 -4)

	Send PostScript code from PPD file to output stream.

2009-08-26	<rlk@sourceforge.net>

	Files:	src/main/xmlppd.c (1.4) (+42 -22)

	Handle PPD files where PageRegion or ImageableArea precedes PageSize.

2009-08-25	<rlk@sourceforge.net>

	Files:	src/xml/papers.xml (1.8) (+17 -1)

	Add EA5 envelope.

===============================================================================
Name: gutenprint-5_2_4

2009-08-01	<rlk@sourceforge.net>

	Files:	po/cs.po (1.56) (+5039 -3973)
		po/da.po (1.98) (+1677 -1579)
		po/de.po (1.70) (+5039 -3973)
		po/el.po (1.71) (+5038 -3973)
		po/en_GB.po (1.164) (+5340 -3978)
		po/es.po (1.69) (+5038 -3974)
		po/fr.po (1.97) (+5132 -4014)
		po/hu.po (1.28) (+5130 -4012)
		po/it.po (1.8) (+1719 -1598)
		po/ja.po (1.65) (+5039 -3973)
		po/nb.po (1.30) (+5038 -3972)
		po/nl.po (1.81) (+1712 -1594)
		po/pl.po (1.75) (+5027 -3972)
		po/pt.po (1.70) (+5039 -3973)
		po/ru.po (1.3) (+1588 -1540)
		po/sk.po (1.74) (+5038 -3974)
		po/sv.po (1.100) (+5127 -4015)
		po/zh_TW.po (1.30) (+5111 -4014)

	Gutenprint 5.2.4 release

2009-07-26	<rlk@sourceforge.net>

	Files:	NEWS (1.413) (+23 -10)
		README (1.203) (+20 -18)
		configure.ac (1.214) (+5 -5)

	Bump to 5.2.4.

2009-07-21	<rlk@sourceforge.net>

	Files:	src/main/escp2-papers.c (1.118) (+4 -1)
		src/main/print-escp2.c (1.424) (+6 -2)
		src/main/print-escp2.h (1.137) (+3 -2)
		src/xml/escp2/inputslots/r2400.xml (1.4) (+1 -0)

	Fix printing to manual sheet guide on R2400

2009-07-18	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.178) (+5 -5)

	Fix the translation of resolutions in global PPD files.

	Correct the data type of int parameters in the *ParamCustom declaration.

2009-07-12	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.423) (+7 -1)

	Export ChannelNames parameter so escputil can correctly print ink
	warnings.

2009-06-30	<rlk@sourceforge.net>

	Files:	po/da.po (1.97) (+5154 -4292)

	Update Danish translation

2009-06-30	<rlk@sourceforge.net>

	Files:	po/ru.po (1.2) (+1815 -1773)

	Updated Russian translation

2009-06-24	<rlk@sourceforge.net>

	Files:	configure.ac (1.213) (+3 -3)
		po/ru.po (1.1) (added)

	Add Russian translation

2009-06-22	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.94) (+5 -1)

	Add comment explaining laminate pattern.

2009-06-22	<rlk@sourceforge.net>

	Files:	po/it.po (1.7) (+11 -5)

	Update Italian translation

2009-06-22	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.177) (+3 -3)

	Hide the fine adjustment option, not the primary option.

2009-06-21	<rlk@sourceforge.net>

	Files:	po/it.po (1.6) (+5542 -4410)

	Update Italian translation

2009-06-20	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.422) (+2 -1)

	Flag string for not a printf string, per Marco Poletti.

2009-06-20	<faust3@sourceforge.net>

	Files:	NEWS (1.412) (+1 -0)
		src/foomatic/foomatic-printermap (1.192) (+1 -0)
		src/xml/printers.xml (1.37) (+2 -1)

	According to https://bugs.launchpad.net/bugs/389014
	the PIXMA iX4000 can be used with the iX5000 driver

2009-06-14	<rlk@sourceforge.net>

	Files:	po/nl.po (1.80) (+5157 -4316)

	Updated Dutch translation

2009-06-14	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.39) (+9 -38)

	Allow arbitrary number of string arguments to message command.

2009-06-14	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.38) (+3 -3)

	Rename Output to Print to avoid possible confusion.

2009-06-14	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.37) (+1 -2)

	Remove unused token declaration.

2009-06-14	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.36) (+3 -9)

	A few minor simplifications.

2009-06-14	<rlk@sourceforge.net>

	Files:	src/testpattern/testpattern.c (1.57) (+5 -2)
		src/testpattern/testpatternl.l (1.25) (+3 -10)
		src/testpattern/testpatterny.y (1.35) (+29 -41)

	Eliminate bison warnings.

	Allow mode specification without bit depth.

	Print out number of passing cases as well as failures and skipped.

===============================================================================
Name: gutenprint-5_2_4_rc1

2009-06-14	<rlk@sourceforge.net>

	Files:	NEWS (1.411) (+3 -3)
		README (1.202) (+13 -13)
		configure.ac (1.212) (+4 -4)

	Prep for 5.2.4-rc1

2009-06-08	<rlk@sourceforge.net>

	Files:	test/run-weavetest (1.30) (+1 -1)

	Remove some particularly long-running cases that are not likely to be
	used in real life.

2009-06-08	<rlk@sourceforge.net>

	Files:	NEWS (1.410) (+44 -3)
		README (1.201) (+11 -11)
		src/main/print-escp2.c (1.421) (+3 -3)
		src/testpattern/run-testpattern-2.in (1.35) (+8 -5)
		src/testpattern/testpattern.c (1.56) (+44 -12)
		test/run-weavetest (1.29) (+1 -1)

	Testpattern shouldn't fail if it provides a combination of arguments that
	fails validation during automatic run.

	Epson driver should be more consistent about accepting RawChannels
	argument.

	Testpattern generator should reset page count for each argument.

	Weave pattern test generator should test additional cases.

	Update top level doc for release.

2009-06-07	<rlk@sourceforge.net>

	Files:	configure.ac (1.211) (+16 -14)
		scripts/autogen.sh (1.37) (+1 -1)
		src/main/bit-ops.c (1.14) (+179 -168)

	Minor code cleanup in bit-ops.c

	Don't include --enable-compiler-warnings in autogen.sh (no longer needed)

	Bump version, make warning about missing devel package more obvious.

2009-06-07	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.57) (+36 -35)
		src/cups/genppd.c (1.176) (+5 -4)

	Improve command names for genppd speedup

2009-06-03	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatternl.l (1.24) (+2 -2)

	Accept double-quoted strings with zero characters

2009-06-02	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatternl.l (1.23) (+5 -2)
		src/testpattern/testpatterny.y (1.34) (+49 -46)

	Fix compatibility with Bison 2.4

2009-05-30	<rlk@sourceforge.net>

	Files:	src/xml/Makefile.am (1.5) (+2 -2)
		src/xml/escp2/Makefile.am (1.9) (+3 -1)
		src/xml/escp2/inks/Makefile.am (1.9) (+2 -1)
		src/xml/escp2/inputslots/Makefile.am (1.7) (+2 -1)
		src/xml/escp2/media/Makefile.am (1.13) (+2 -1)
		src/xml/escp2/mediasizes/Makefile.am (1.4) (+2 -1)
		src/xml/escp2/model/Makefile.am (1.16) (+2 -1)
		src/xml/escp2/qualitypresets/Makefile.am (1.4) (+2 -1)
		src/xml/escp2/weaves/Makefile.am (1.3) (+2 -1)

	dist-hook needs xml-stamp to be created

2009-05-24	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.191) (+1 -0)
		src/xml/printers.xml (1.36) (+2 -1)

	Add Epson DX4000

2009-05-24	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.175) (+16 -6)

	Fix calls to putenv, which must use permanent memory.

2009-05-24	<rlk@sourceforge.net>

	Files:	src/main/print-weave.c (1.75) (+2 -2)

	Fix printf warning

2009-05-24	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.18) (+8 -2)

	Fix error with reporting date, time, and author.

2009-05-23	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_96.xml (1.5) (+1 -1)

	Send job start sequence for Artisan printers per recommendation.

2009-05-23	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.34) (+51 -1)

	Add help

2009-05-20	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/f360_ultrachrome_k3v.xml (1.3) (+149 -149)

	Fix Print Methods based on manual.

2009-05-17	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/f360_ultrachrome_k3v.xml (1.5) (+3 -3)

	Retune light inks on R2880.

2009-05-17	<rlk@sourceforge.net>

	Files:	include/gutenprint/bit-ops.h (1.4) (+84 -1)
		src/cups/cups-genppdupdate.in (1.56) (+36 -5)
		src/cups/genppd.c (1.174) (+21 -0)
		src/main/bit-ops.c (1.13) (+259 -482)
		src/main/print-escp2.c (1.420) (+16 -2)
		src/main/print-escp2.h (1.136) (+3 -2)
		src/main/print-weave.c (1.74) (+8 -40)
		src/xml/escp2/inks/f360_ultrachrome_k3v.xml (1.4) (+2 -2)

	Speed up cups-genppdupdate by reusing server binary

2009-04-21	<m0m@sourceforge.net>

	Files:	src/main/print-olympus.c (1.93) (+2 -2)

	fixed memory leak in dyesub_print_row()

	    dnp-ds40
	        Color+300x300..............................................==5555== Invalid read of size 2
	    ==5555==    at 0x476427: dyesub_print (print-olympus.c:2485)
	    ==5555==    by 0x404450: main (in /home/rlk/sandbox/print-5.1/src/testpattern/testpattern)
	    ==5555==  Address 0x6c56ea8 is 0 bytes after a block of size 11,520 alloc'd
	    ==5555==    at 0x4C256AE: malloc (in /usr/lib64/valgrind/amd64-linux/vgpreload_memcheck.so)
	    ==5555==    by 0x413209: stp_malloc (print-util.c:427)
	    ==5555==    by 0x475A95: dyesub_print (print-olympus.c:2447)
	    ==5555==    by 0x404450: main (in /home/rlk/sandbox/print-5.1/src/testpattern/testpattern)

2009-04-14	<rlk@sourceforge.net>

	Files:	src/xml/papers.xml (1.7) (+3 -3)

	Fix definition of L photo paper.

2009-04-11	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inputslots/r2880.xml (1.2) (+1 -0)
		src/xml/escp2/model/model_98.xml (1.4) (+1 -1)

	Fix CD definition for R2880

2009-04-11	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.55) (+3 -34)

	Back out unintended change

2009-04-11	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.54) (+35 -4)
		src/cups/genppd.c (1.173) (+14 -13)
		src/cups/i18n.c (1.8) (+4 -4)
		src/cups/i18n.h (1.3) (+4 -4)

	Fix memory leaks

2009-04-11	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.172) (+5 -5)
		src/cups/i18n.c (1.7) (+5 -3)
		src/cups/i18n.h (1.2) (+3 -3)

	Fix memory leaks

2009-04-11	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.92) (+7 -7)

	Fix up declaration syntax

2009-04-11	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.119) (+3 -2)

	2661138 Parallel build breaks for cups/ppd

2009-04-08	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.17) (+35 -8)

	Handle newer version of CVS.

2009-04-08	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.16) (+12 -7)

	Remove spurious printout.

2009-04-08	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.15) (+41 -13)

	Allow use of RCS filename.

	Simplify print logic a bit.

2009-04-08	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.14) (+17 -19)

	Print last file correctly.

2009-04-05	<rleigh@sourceforge.net>

	Files:	src/xml/printers.xml (1.35) (+2 -2)

	Correct typo in Epson Stylus Office TX300F name

2009-03-30	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/f360_ultrachrome_k3v.xml (1.3) (+2 -2)

	Revert black shades to previous.

2009-03-30	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/f360_ultrachrome_k3v.xml (1.2) (+195 -195)

	Tune photo black ink.
